Package ru.bitel.bgbilling.modules.bill.common.bean

# Class BillDocument

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.bill.common.bean.AbstractBillDocument
ru.bitel.bgbilling.modules.bill.common.bean.BillDocument

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class BillDocument extends AbstractBillDocument

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillDocument()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBankAccountId()`
  `Date`
  `getPaymentDate()`
  `int`
  `getPaymentId()`
  `int`
  `getPaymentUserId()`
  `int`
  `getStatus()`
  `int`
  `getUnloadStatus()`
  `BillDocument`
  `setBankAccountId(int accountId)`
  `BillDocument`
  `setContractId(int contractId)`
  `BillDocument`
  `setDocumentSpecId(int typeId)`
  `BillDocument`
  `setId(int id)`
  Устанавливает id объекта
  `BillDocument`
  `setNumber(int number)`
  `BillDocument`
  `setNumberFormatted(String formattedNumber)`
  `BillDocument`
  `setNumberInMonth(int numberInMonth)`
  `BillDocument`
  `setNumberInYear(int numberInYear)`
  `BillDocument`
  `setPaymentDate(Date payDate)`
  `BillDocument`
  `setPaymentId(int paymentId)`
  `BillDocument`
  `setPaymentUserId(int payUserId)`
  `BillDocument`
  `setStatus(int status)`
  `BillDocument`
  `setUnloadStatus(int unloadStatus)`
  `BillDocument`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.common.bean.AbstractBillDocument

  `getAddress, getContractComment, getContractTitle, getCorrection, getDateCreated, getDocument, getDocumentData, getDocumentSpecId, getDocumentSpecTitle, getMonth, getNumber, getNumberFormatted, getNumberInMonth, getNumberInYear, getNumerationPoolId, getPositionList, getRecipient, getTotal, getUserId, getYear, setAddress, setContractComment, setContractTitle, setCorrection, setDateCreated, setDocument, setDocumentData, setDocumentSpecTitle, setMonth, setNumerationPoolId, setPositionList, setRecipient, setTotal, setYear`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BillDocument

    public BillDocument()

- ## Method Details

  - ### getBankAccountId

    public int getBankAccountId()

  - ### getPaymentDate

    public Date getPaymentDate()

  - ### getPaymentId

    public int getPaymentId()

  - ### getPaymentUserId

    public int getPaymentUserId()

  - ### getStatus

    public int getStatus()

  - ### getUnloadStatus

    public int getUnloadStatus()

  - ### setBankAccountId

    public BillDocument setBankAccountId(int accountId)

  - ### setContractId

    public BillDocument setContractId(int contractId)
    Overrides:
      `setContractId` in class `AbstractBillDocument`

  - ### setDocumentSpecId

    public BillDocument setDocumentSpecId(int typeId)
    Overrides:
      `setDocumentSpecId` in class `AbstractBillDocument`

  - ### setId

    public BillDocument setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setNumber

    public BillDocument setNumber(int number)
    Overrides:
      `setNumber` in class `AbstractBillDocument`

  - ### setNumberFormatted

    public BillDocument setNumberFormatted(String formattedNumber)
    Overrides:
      `setNumberFormatted` in class `AbstractBillDocument`

  - ### setNumberInMonth

    public BillDocument setNumberInMonth(int numberInMonth)
    Overrides:
      `setNumberInMonth` in class `AbstractBillDocument`

  - ### setNumberInYear

    public BillDocument setNumberInYear(int numberInYear)
    Overrides:
      `setNumberInYear` in class `AbstractBillDocument`

  - ### setPaymentDate

    public BillDocument setPaymentDate(Date payDate)

  - ### setPaymentId

    public BillDocument setPaymentId(int paymentId)

  - ### setPaymentUserId

    public BillDocument setPaymentUserId(int payUserId)

  - ### setStatus

    public BillDocument setStatus(int status)

  - ### setUnloadStatus

    public BillDocument setUnloadStatus(int unloadStatus)

  - ### setUserId

    public BillDocument setUserId(int userId)
    Overrides:
      `setUserId` in class `AbstractBillDocument`